Skip to main content

Integration, Extension & APIs

Discussion board where members can learn more about Integration, Extensions and API’s for Qlik Sense.

Announcements
CUSTOMERS ONLY: Now accepting customer applications for the 2023 Luminary Program: SUBMIT NOW
cancel
Showing results for 
Search instead for 
Did you mean: 
mrutyunjaya
Contributor III
Contributor III

Combo Chart - with 1 Dim and 6 Measures

Hi Community,

I am trying to create Combo chart with One dimension and Six measures;

- Dimension - Month

- 3 Measures - Regions

- 3 Measures - Trend lines (Dashed straight lines)

Also, I need to custom size the BARS, Show labels and Fill custom colors as you can see in the following image;

Combo.PNG

As the same is not possible with Default combo chart, so somehow I achieved this using AmCombo chart Extension:

Qliksense.Extension.amWaterfall/amWaterfall.js at master · NielsLindberg/Qliksense.Extension.amWater...

Now, Unfortunately, this extension is now not supported in my QS Server (some security issues),

I also tried using Extension: SenseUI but it has its own limitation, as I can add only 5 Measures:

GitHub - yianni-ververis/SenseUI-ComboChart: Qlik Sense Combo Chart

Appreciate if Qliktech develop the same solution in existing combo chart object


Is there any alternative solution / Extension to achieve the same. !!!


Reg,

Mrutyunjaya

9 Replies
ErikWetterberg

What is the security issue? The best way forward might be to resolve that.

Erik Wetterberg

mrutyunjaya
Contributor III
Contributor III
Author

Hi Eric,

This is the error: (for themes - black,chalk,dark,light,stalk) for 'amCombo' charts

-> Uncaught Error: Script error for: amcharts.theme.black

    http://requirejs.org/docs/errors.html#scripterror

    at makeError (require.js?1490806788818:6)

    at HTMLScriptElement.onScriptError (require.js?1490806788818:6)

   makeError @ require.js?1490806788818:6

   onScriptError @ require.js?1490806788818:6

Though I don't have much control @ the server end !!

Reg,

Mrutyunjaya

micheledenardi
Specialist II
Specialist II

Hi,

I suggest to use AnyChart extension which is well done and it support combo chart with 6 measures.

Hope it help

Michele De Nardi
If a post helps to resolve your issue, please accept it as a Solution.
ErikWetterberg

And are there HTTP errors?? Like 404 Not Found??

Looking very quickliy at the code, the problem could be these lines:

"amcharts": "/extensions/amCombo/library/amcharts",
   "amcharts.serial": "/extensions/amCombo/library/serial",
   "amcharts.theme.dark": "/extensions/amCombo/library/dark",
   "amcharts.theme.black": "/extensions/amCombo/library/black",
   "amcharts.theme.chalk": "/extensions/amCombo/library/light",
   "amcharts.theme.light": "/extensions/amCombo/library/chalk",

The '/extensions/...' should possibly be without the initial /, that is 'extensions/...'

Hope this helps

Erik Wetterberg

mrutyunjaya
Contributor III
Contributor III
Author

Hi Michele,

I tried using 'AnyChart', unfortunately, it has few limitations w.r.t aesthetics.

viz;

- Cannot add custom colors, of course, I can change the colors using predefined themes

- Cannot change Line styles (dashed line)

- Cannot change bar width.

- Cannot change y-axes labels as (10,20,30,.......100)

- Cannot add Reference line

Reg,

Mrutyunjaya

mrutyunjaya
Contributor III
Contributor III
Author

Hi Eric,

This is what I got when I try to load the charts; Please validate and suggest.

at makeError (require.js?1490806788818:6)

--> new Error(b+"\nhttp://requirejs.org/docs/errors.html#"+a);return e.requireType=a,e.requireModules=d,

at HTMLScriptElement.onScriptError (require.js?1490806788818:6)

--> j(makeError("scripterror","Script error for: "+b.id,a,[b.id]))}},u.require=u.makeRequire(),u}function getInteractiveScript(){

error.png

Reg,

Mrutyunjaya

ErikWetterberg

And if you look in the network tab? Probably under XHR? Do you see a list of http calls that are missing your virtual proxy??

Erik

mrutyunjaya
Contributor III
Contributor III
Author

Hi Eric,

FYR,

EHR.PNG

Reg,

Mrutyunjaya

ErikWetterberg

Hi,

looks like your virtual proxy name is 'quick'. Probably that is missing when the extension tries to load the files, so try the change I described above.

Erik